> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/development-guide/developer-guide.md).

# Developer Guide

With a single SDK integration, you can use all the features provided by Hackle.

{% columns %}
{% column width="41.66666666666667%" %}
**Quick Start**

You can install the SDK and complete variation distribution for A/B Tests in just a few steps.

<a href="https://docs.hackle.io/en/development-guide/quick-start.md" class="button secondary">Get Started →</a>
{% endcolumn %}

{% column width="58.33333333333333%" %}

```javascript
// SDK initialization
const hackleClient = Hackle.createInstance("YOUR_SDK_KEY");

// A/B test variation distribution
const variation = hackleClient.variation(EXPERIMENT_KEY, userId);
if (variation === "A") {
  // Group A
} else if (variation === "B") {
  // Group B
}
```

{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
**Supported SDKs**

Hackle provides SDKs for a variety of platforms.
{% endcolumn %}

{% column %}

<p align="right"><a href="https://docs.hackle.io/en/development-guide/sdk.md" class="button secondary">View All SDKs</a></p>
{% endcolumn %}
{% endcolumns %}

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><i class="fa-android">:android:</i></td><td>Android SDK</td><td></td><td><a href="https://docs.hackle.io/en/development-guide/android.md">Android</a></td></tr><tr><td><i class="fa-apple">:apple:</i></td><td>iOS SDK</td><td></td><td><a href="https://docs.hackle.io/en/development-guide/ios.md">iOS</a></td></tr><tr><td><i class="fa-react">:react:</i></td><td>React SDK</td><td></td><td><a href="https://docs.hackle.io/en/development-guide/react.md">React</a></td></tr></tbody></table>

{% hint style="info" %}
Are you using Cafe24?

Check out the [Cafe24 Integration Guide](https://docs.hackle.io/en/cafe-24/integration.md) right away.
{% endhint %}

{% hint style="success" %}
Have questions?

Feel free to ask anything during the integration process in the [Hackle Slack Community](https://join.slack.com/t/hackle-community/shared_invite/zt-1awrnygsh-U8VCHwN06ZDTF9yAzik5SA).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hackle.io/en/development-guide/developer-guide.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
